## Copyright 2018 IPB, Universite de Bordeaux, INRIA & CNRS
##
## This file is part of the Scotch software package for static mapping,
## graph partitioning and sparse matrix ordering.
##
## This software is governed by the CeCILL-C license under French law
## and abiding by the rules of distribution of free software. You can
## use, modify and/or redistribute the software under the terms of the
## CeCILL-C license as circulated by CEA, CNRS and INRIA at the following
## URL: "http://www.cecill.info".
## 
## As a counterpart to the access to the source code and rights to copy,
## modify and redistribute granted by the license, users are provided
## only with a limited warranty and the software's author, the holder of
## the economic rights, and the successive licensors have only limited
## liability.
## 
## In this respect, the user's attention is drawn to the risks associated
## with loading, using, modifying and/or developing or reproducing the
## software by the user in light of its specific status of free software,
## that may mean that it is complicated to manipulate, and that also
## therefore means that it is reserved for developers and experienced
## professionals having in-depth computer knowledge. Users are therefore
## encouraged to load and test the software's suitability as regards
## their requirements in conditions enabling the security of their
## systems and/or data to be ensured and, more generally, to use and
## operate it in the same conditions as regards security.
## 
## The fact that you are presently reading this means that you have had
## knowledge of the CeCILL-C license and that you accept its terms.
##

DOCUMENT	= scotch_user6.0

FLAGS		= -sPAPERSIZE=a4

DEPS		= $(wildcard *.tex) $(wildcard *.eps)

MANS		= $(DOCUMENT).ps.gz $(DOCUMENT).pdf

CP		= cp -f
RM		= rm -f

.PHONY				:	clean	default	install	realclean

%.eps				:	%.fig
					fig2dev -L eps $(<)

default				:	$(MANS)

s.dvi				:	s.tex $(DEPS)
					latex s
					bibtex s
					latex s
					latex s

s.ps				:	s.dvi
					dvips $(FLAGS) $(<)

$(DOCUMENT).pdf			:	s.dvi
					dvipdf $(FLAGS) $(<) $(@)

$(DOCUMENT).ps.gz		:	s.ps
					gzip -9 -c < $(<) > $(@)

install				:	$(MANS)
					-$(CP) $(DOCUMENT).ps.gz ../../
					-$(CP) $(DOCUMENT).pdf ../../

clean				:
					-$(RM) *~ s.aux s.blg s.log s.toc

realclean			:	clean
					-$(RM) *~ s.bbl s.dvi s.ps $(MANS)
